List the source lists
GEThttps://api.dilisense.com/v1/getSourceList
The getSourceList API method returns all lists that are part of the dilisense database. This call can be used to identify the relevant lists that should be passed in the includes parameter for the other API method calls.
By default you will get the sources that are included for your API key, which are the default sources plus the additional ones for which your key was enabled. Call the endpoint with scope=all to see the full catalogue and which of its sources your key includes. Please check https://dilisense.com/en/sources/additional-sources for the list of non-default sources and send us a request to get them enabled.
The response is signed, see the x-dilisense-signature header.
Request
Example request
curl --location --request GET 'https://api.dilisense.com/v1/getSourceList' \
--header 'x-api-key: <api_key>'
Responses
- 200
OK
Error responses are the same for all endpoints, see Errors.